//= require jquery
//= require tether
//= require jquery_ujs
//= require bootstrap/js/popper.min
//= require bootstrap/js/bootstrap-material-design.min
//= require momentjs/moment
//= require bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker
//= require jquery-slimscroll/jquery.slimscroll.js
//= require bootstrap-notify/bootstrap-notify.js
//= require node-waves/waves.js
//= require sweetalert/sweetalert.min.js
//= require cable
//= require turbolinks
//= require BSBMaterial/turbolink_admin.js
//= require BSBMaterial/demo.js
//= require custom.js

$(document).on('turbolinks:load', function() {
	$('.datetimepicker').bootstrapMaterialDatePicker({
	  format: 'DD-MM-YYYY - HH:mm',
	  clearButton: true,
	  weekStart: 1
	});

	$('.datepicker').bootstrapMaterialDatePicker({
	  format: 'DD-MM-YYYY',
	  clearButton: true,
	  weekStart: 1,
	  time: false
	});

	$('.timepicker').bootstrapMaterialDatePicker({
	  format: 'HH:mm',
	  clearButton: true,
	  date: false
	});

	// For selected order return
	var order_status = "";
	order_status = $(".selected-item").children().find(".orders-order-status").text().substr(0,6).trim();

	// Enable/Disable Button
	//control_button(order_status);

	$(".orders").on('click', function(){
		$("#order-sub-total").text('');
        // $("#order-food").text('');
        // $("#order-beverage").text('');
        $("#order-discount").text('');
        $("#order-Tax").text('');
        $("#order-grand-total").text('');

		var zone_name=$(this).find(".orders-table").text();
		var receipt_no=$(this).find(".orders-receipt-no").text();
		var unique_id = $(this).find(".orders-id").text();
		var order_status=$(this).find(".orders-order-status").text().trim();

		// Enable/Disable Button
		//control_button(order_status);

		var customer_id=$(this).find(".customer-id").text();
		show_customer_details(customer_id);

		$("#re-print").val(unique_id);

		var cashier="";
		var receipt_date="";
		var sub_total=0.0;
		var discount_amount=0;
		var tax_amount=0;
		var grand_total_amount=0;

		$("#order-title").text("ORDER DETAILS - " + zone_name);
		// clear order items
		$("#order-items-table").children("tbody").empty();

		// AJAX call for order
		$.ajax({
			type: "POST",
		    url: "/origami/" + unique_id,
		    data: { 'booking_id' : unique_id },
		    success:function(result){		    	
		    	for (i = 0; i < result.length; i++) {
		    		var data = JSON.stringify(result[i]);
        			var parse_data = JSON.parse(data);
        			var show_date = "";        			

        			// Receipt Header
        			receipt_no = result[i].receipt_no;
			        cashier = result[i].cashier_name;
			        if(result[i].receipt_date != null){
				        receipt_date = new Date(result[i].receipt_date);
				        show_date = receipt_date.getDate() + "-" + receipt_date.getMonth() + "-" + receipt_date.getFullYear() + ' ' +  receipt_date.getHours()+ ':' +  receipt_date.getMinutes()
				    }			        

			        //Receipt Charges
        			sub_total += parseFloat(parse_data.price);

        			discount_amount = parse_data.discount_amount == null? '0.0' : parse_data.discount_amount;
        			tax_amount = parse_data.tax_amount;
			        grand_total_amount = parse_data.grand_total_amount;			        

			        // Ordered Items
			        var order_items_rows = "<tr>" +
				        						"<td class='item-name'>" + parse_data.item_name + "</td>" +
				        						"<td class='item-attr'>" + parse_data.qty + "</td>" +
				        						"<td class='item-attr'>" + parse_data.price + "</td>" +
			        					   "</tr>";

			        $("#order-items-table").children("tbody").append(order_items_rows);
		    	}

		    	// Cashier Info
		    	$("#receipt_no").text(receipt_no);
		        $("#cashier").text(cashier == null ? "" : cashier);
		        $("#receipt_date").text(show_date);

		        // Payment Info
		    	$("#order-sub-total").text(sub_total);
		        // $("#order-food").text('');
		        // $("#order-beverage").text('');
		        $("#order-discount").text(discount_amount);
		        $("#order-Tax").text(tax_amount);
		        $("#order-grand-total").text(grand_total_amount);
		    }
		});
		// End AJAX Call

		$('.orders').removeClass('selected-item');
	    $(this).addClass('selected-item');
	});

	// Payment for Bill
	$('#pay-bill').click(function() {
		var sale_id=$(".selected-item").find(".orders-id").text().substr(0,16);
		if(sale_id!=""){
			window.location.href = '/origami/sale/'+ sale_id  + "/payment"
		}
		else {
			alert("Please select an order!");
		}

		return false;
	});
});

/* start check first bill or not funs: */
function checkReceiptNoInFirstBillData(receipt_no,payment) {
	// localStorage.removeItem('receipt_lists');
	var status = false;
	if((receipt_no!=undefined) && (receipt_no!="")){
		if(localStorage.hasOwnProperty("receipt_lists")===true){
			var arr_data = JSON.parse(localStorage.getItem("receipt_lists"));
			if (payment) {
				var json_data = arr_data.filter(function(e) { return e.receipt_no == receipt_no });
			}else{
				var json_data = arr_data.filter(function(e) { return e.receipt_no !== receipt_no });
			}

			if((arr_data.length) > (json_data.length)){
				status = true;
			}
		}
	}
	if (payment) {
		return json_data[0]["payment"];
	}else{
		return status;
	}
}

function createReceiptNoInFirstBillData(receipt_no,payment) {
	var arr_data = [];
	var json_data = [];
	if(localStorage.hasOwnProperty("receipt_lists") === true){
		arr_data = JSON.parse(localStorage.getItem("receipt_lists"));
		json_data = arr_data.filter(function(e) { return e.receipt_no == receipt_no });
		if (payment) {
			jdata = arr_data.filter(function(e) { return e.receipt_no !== receipt_no });
			jdata.push({'receipt_no':receipt_no,'payment':payment});
		   localStorage.setItem("receipt_lists",JSON.stringify(jdata));
		}
	}
	if(((arr_data.length == 0) && (json_data.length == 0)) || ((arr_data.length > 0) && (json_data.length == 0))){
		arr_data.push({'receipt_no':receipt_no,'payment':payment});
		localStorage.setItem("receipt_lists",JSON.stringify(arr_data));
	}
}

function deleteReceiptNoInFirstBillData(receipt_no) {
	if(localStorage.hasOwnProperty("receipt_lists") ===true ){
		var arr_data = JSON.parse(localStorage.getItem("receipt_lists"));
		var json_data = arr_data.filter(function(e) { return e.receipt_no !== receipt_no });
		localStorage.setItem("receipt_lists",JSON.stringify(json_data));
	}
}
/* end check first bill or not funs: */